Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wmps.configuration
Class WMPSConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilities
              org.deegree.ogcwebservices.wmps.configuration.WMPSConfiguration

All Implemented Interfaces:
  Serializable

    public class WMPSConfiguration

extends WMPSCapabilities

Represents the configuration for a deegree WMPS 1.0 instance.

Version:
  2.0
Author:
  Anup Deshmukh *
See Also:
  Serialized Form

Field Summary
`static double` | `INCH2M`

Constructor Summary
`WMPSConfiguration(String version, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, UserDefinedSymbolization userDefinedSymbolization, OperationsMetadata metadata, Layer layer, WMPSDeegreeParams deegreeParams, URL baseURL)` Generates a new `WFSConfiguration` instance from the given parameters.

Method Summary
`URL` | `getBaseURL()`
`WMPSDeegreeParams` | `getDeegreeParams()`
`void` | `setDeegreeParams(WMPSDeegreeParams deegreeParams)`

Methods inherited from class org.deegree.ogcwebservices.wmps.capabilities.WMPSCapabilities
`getLayer, getLayer, getOperationMetadata, getServiceIdentification, getServiceProvider, getUserDefinedSymbolization, setLayer, setOperationMetadata, setServiceIdentification, setServiceProvider, setUserDefinedSymbolization`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INCH2M

    public static final double INCH2M

See Also:
  Constant Field Values

Constructor Detail

### WMPSConfiguration

    public WMPSConfiguration(String version,
                             ServiceIdentification serviceIdentification,
                             ServiceProvider serviceProvider,
                             UserDefinedSymbolization userDefinedSymbolization,
                             OperationsMetadata metadata,
                             Layer layer,
                             WMPSDeegreeParams deegreeParams,
                             URL baseURL)

  Generates a new `WFSConfiguration` instance from the given parameters.

  Parameters:
    `version` -
    `serviceIdentification` -
    `serviceProvider` -
    `userDefinedSymbolization` -
    `metadata` -
    `layer` -
    `deegreeParams` -
    `baseURL` -

Method Detail

### getDeegreeParams

    public WMPSDeegreeParams getDeegreeParams()

  Returns:
    Returns the deegreeParams.

### setDeegreeParams

    public void setDeegreeParams(WMPSDeegreeParams deegreeParams)

  Parameters:
    `deegreeParams` - The deegreeParams to set.

### getBaseURL

    public URL getBaseURL()

  Returns:
    Gets the base URL which is used to resolve file resource (XSL sheets).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org